Name: nano
Summary: Pico editor clone with enhancements
Version: 4.9.3
Release: 1%{?_dist_release}
Group: Applications/Editors

License: GPLv3+ and GFDL
URL: https://www.nano-editor.org/
Source0: https://www.nano-editor.org/dist/v4/%{name}-%{version}.tar.xz

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: gettext
BuildRequires: ncurses-devel
Requires(post): /sbin/install-info
Requires(preun): /sbin/install-info

%description
GNU nano is a small and friendly text editor.  It aims to emulate the
Pico text editor while also offering a few enhancements.

%prep
%setup -q

%build
%configure --enable-all
make

%install
rm -rf %{buildroot}
make DESTDIR="%{buildroot}" install
rm -rf ./rpmdoc
cp -rf %{buildroot}%{_docdir}/%{name} ./rpmdoc
rm -rf %{buildroot}%{_docdir}/%{name}

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%find_lang %{name}

%clean
rm -rf %{buildroot}

%post
/sbin/install-info --info-dir=%{_infodir} %{_infodir}/nano.info.gz

%preun
if [ $1 = 0 ] ;then
    /sbin/install-info --delete --info-dir=%{_infodir} %{_infodir}/nano.info.gz
fi

%files -f %{name}.lang
%defattr(-,root,root)
%license COPYING*
%doc AUTHORS ChangeLog* NEWS README* THANKS TODO 
%doc rpmdoc/* doc/sample.nanorc
%{_bindir}/*
%{_mandir}/man*/*
%{_infodir}/nano.info*
%dir %{_datadir}/nano
%{_datadir}/nano/*

%changelog
* Wed Jul 29 2020 Tomohiro "Tomo-p" KATO <tomop@teamgedoh.net> 4.9.3-1
- new upstream release.

* Sat Aug 31 2019 Toshiaki Ara <ara_t@384.jp> 2.2.6-2
- rebuild with ncurses-6.1

* Sun Dec 01 2013 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.2.6-1
- new upstream release

* Tue Oct 12 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.5-1
- new upstream release

* Fri Mar 19 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.3-1
- new upstream release

* Fri Jan  1 2010 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.2.1-1
- new upstream release
- added %post, %preun section

* Fri Mar 20 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.0.9-1
- Initial build for Vine Linux.
